#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

  info1="_(SWTS activated)"
  info2="_(SWTS deactivated)"
  info3="_(Restart box to save changes!)"
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

swts_on()
{
 echo swts=on >/var/config/swts.conf
 sync
 echo "$info1"
 echo "\n$info3" 
} 

swts_off()
{
 echo swts=off >/var/config/swts.conf
 sync
 echo "$info2"
 echo "\n$info3" 
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    swts_on
    ;;
 'off')
    swts_off
    ;;
 *)
    echo -e "\nUse: swts.sh on|off"
    ;;
esac

echo ""
exit 0
