PKTpath=/usr/lib/enigma2/python/Plugins/Extensions/PKT
# get current language
language=`cat /etc/enigma2/settings | grep "config.osd.language" | cut -d'_' -f2`
# Copy localised library into proper place, if it is found of course :-)
if [ -e $PKTpath/vfdstandby/locale/libc.LN.6.$language ]; then
  cp -f $PKTpath/vfdstandby/locale/libc.LN.6.$language /lib/libc.LN.6
  chmod 755 /lib/libc.LN.6
else
# if localised library not found, then we will not start localised standby ;-)
  rm -f /lib/libc.LN.6 
fi
# copy localised ready version of vdstandby
if [ -e /lib/libc.LN.6 ]; then
  cp -f $PKTpath/vfdstandby/locale/vdstandbyLN /bin/vdstandby
  chmod 755 /bin/vdstandby
else
  cp -f $PKTpath/vfdstandby/locale/vdstandbyEN /bin/vdstandby
  chmod 755 /bin/vdstandby
fi
echo "_(Standby mode configured to show weekdays in local language)"
